<!-- ======================================================== -->
<!-- Template for alert messages (error, warn, info, success) -->
<!-- ======================================================== -->
<html xmlns:th="http://www.thymeleaf.org">

<th:block th:fragment="messages">

    <!-- Error message -->
    <!-- The String errorMessage should be used as "key.to.message.properties" -->
    <div th:if="${errorMessage}" class="alert alert-danger alert-dismissible fade show" role="alert">
        [[#{${errorMessage}}]]
        <button type="button" class="btn-close" data-bs-dismiss="alert" aria-label="Close"></button>
    </div>

    <!-- Error message text -->
    <!-- The String errorMessageText should be used as "Error message string" -->
    <div th:if="${errorMessageText}" class="alert alert-danger alert-dismissible fade show" role="alert">
        [[${errorMessageText}]]
        <button type="button" class="btn-close" data-bs-dismiss="alert" aria-label="Close"></button>
    </div>

    <!-- Warning message -->
    <!-- The String warnMessage should be used as "key.to.message.properties" -->
    <div th:if="${warnMessage}" class="alert alert-warning alert-dismissible fade show" role="alert">
        [[#{${warnMessage}}]]
        <button type="button" class="btn-close" data-bs-dismiss="alert" aria-label="Close"></button>
    </div>

    <!-- Info message -->
    <!-- The String errorMessage should be used as "key.to.message.properties" -->
    <div th:if="${infoMessage}" class="alert alert-info alert-dismissible fade show" role="alert">
        [[#{${infoMessage}}]]
        <button type="button" class="btn-close" data-bs-dismiss="alert" aria-label="Close"></button>
    </div>

    <!-- Success message -->
    <!-- The String successMessage should be used as "key.to.message.properties" -->
    <div th:if="${successMessage}" class="alert alert-success alert-dismissible fade show" role="alert">
        [[#{${successMessage}}]]
        <button type="button" class="btn-close" data-bs-dismiss="alert" aria-label="Close"></button>
    </div>

</th:block>
</html>